#!/usr/local/bin/wishx -f

# John Berninger
# Master control script for Tcl/Tk GUI-based network monitor tool
# Limited functionality

set auto_path [ linsert $auto_path 0 . ]

wm title . "Network Monitor Master Window"

frame .header
frame .footer
frame .body

pack .header .body .footer -side top -padx 2 -pady 2 -expand 1

message .info -text "Basic network monitoring" -width 20c
pack .info -in .header -side top -expand 1 -padx 2 -pady 2

button .pings -text "Ping test" -command start_ping_test
pack .pings -side left -expand 1 -in .body

button .namelist -text "Device name map" -command start_name_map
pack .namelist -in .body -side left -expand 1 

button .done -text "Exit" -command "destroy ."
pack .done -in .footer -side top -expand 1

